.home-direction, .home-achievements {
    background-color: black;
}

.home-direction, .home-achievements {
    padding: 0;
}

.video {
    width: 100%;
    display: block;
}

.black {
    position: absolute;
    top: 0;
    background: #00000091;
    height: 100%;
    width: 100%;
    z-index: 1;
}

ul {
    padding: 0;
    margin: 0;
}

.home-direction ul li {
    flex: 0 1 30%;
    cursor: pointer;
}

.home-direction li h2 {
    -webkit-text-fill-color: black;
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: white;
    line-height: 94px;
    margin: 0;
    padding: 0;
}

.home-direction li h2, .home-direction li h3 {
    transition: 0.2s;
    -webkit-transition: 0.2s;
}

.home-direction li p {
    max-width: 480px;
}

.home-schoolinfo li p, .home-benefits li p {
    max-width: 600px;
}

.home-benefits h3 {
    max-width: 550px;
    font-size: 64px;
}

.home-abonement {

}

img.img-benefit {
    margin-bottom: 40px;
}

.home-benefits ul li {
    flex:1 1 0;
}

.img-rectangle {
    height: 710px;
    position: relative;
    flex:1 1 0;
}

.rectangle-left, .rectangle-right {
    position: absolute;
    z-index: 1;
    overflow: hidden;
}

.rectangle-left {
    left: -67px;
}

.rectangle-right {
    right: -67px;
}

.img-schoolinfo {
    z-index: 1;
    width: 100%;
}

.benefit-schoolinfo {
    flex:1 1 0;
}

.benefit-right {
    padding: 50px;
    margin-left: 100px;
}

.benefit-left {
    padding: 50px 100px;
    padding-left: 0;
    margin-right: 100px;
}

.home-direction-li:hover h3 {
    color: var(--main-theme1);
    transition: 0.2s;
    -webkit-transition: 0.2s;
}

.home-direction-li:hover h2 {
    -webkit-text-stroke-color: var(--main-theme1);
    -webkit-text-stroke-width: 2px;
    transition: 0.2s;
    -webkit-transition: 0.2s;
}

.direction-form {
    position: fixed;
    top: 0;
    z-index: 19;
    width: 100%;
    height: -webkit-fill-available;
}

.direction-form-back {
    background: rgba(255, 255, 255, 0.7);
    position: absolute;
    top:0;
    left: 0;
    width: 100%;
    height: 100%;
}

.direction-info-block {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 680px;
    max-height: 980px;
}

.direction-info-text {
    background: white;
    color: black;
    padding: 40px;
}

.direction-info-text-block {
    max-height: 400px;
    overflow: hidden;
    overflow-y: scroll;
}

.direction-info-text h3 {
    line-height: 60px;
    font-size: 64px;
}

.direction-info-text p {
    line-height: 26px;
    font-size: 16px;
    letter-spacing: 0.05em;
}

.direction-info-block button.registration {
    width: 268px;
    height: 59px;
    border: 2px solid #000000;
    box-sizing: border-box;
    line-height: normal;
    font-size: 18px;
    text-align: center;
    letter-spacing: 0.05em;
    color: #000000;
    font-family: "Bebas Neuebold";

    margin-top: 25px;
    padding: 1.1rem;

    background-size: 200% 100%;
    background-color: transparent;
    background-image: linear-gradient(to right, transparent 50%, var(--main-theme1) 50%);
    -webkit-transition: background-position 0.5s;
    -moz-transition: background-position 0.5s;
    transition: border 0.5s, background-position 0.5s, color 0.5s;
}

.direction-info-block button.registration:hover {
    border: 2px solid var(--main-theme1);
    color: white;
}

.direction-info-block button.registration:hover {
    background-position: -100% 0;
}

.direction-info-block button:focus {
    outline: none;
}

.direction-info-block .registration-close-btn {
    top: -20px;
    right: -60px;
    opacity: 0.7;
}

.header-title .slide-info-right {
    text-align: right;
}

.header video {
    top: 50%;
    transform: translateY(-50%);
    position: absolute;
}

@media screen and (max-width: 1860px) and (min-width: 1444px) {
    .rectangle-right, .rectangle-left {
        width: 20vw;
        height: 38vw;
    }
}

@media screen and (max-width: 1444px) {
    img.img-benefit {
        width: 6.5vw !important;
        height: 6.5vw !important;
    }
}

@media screen and (max-width: 1444px) and (min-width: 768px) {
    .direction-info-text {
        padding: 25px 40px !important;
    }
    .direction-info-text h3 {
        line-height: 3.5vw !important;
        font-size: 3.5vw !important;
    }
    .direction-info-text p {
        letter-spacing: 0.05em !important;
        font-size: 0.9vw !important;
        line-height: 1.4vw !important;
    }
    .direction-info-block {
        max-width: 500px !important;
        max-height: 695px !important;
    }
    .direction-info-block video {
        height: 280px !important;
    }
    .direction-info-block button.registration {
        width: 250px !important;
        height: 50px !important;
        margin-top: 15px !important;
        padding: 0 !important;
        font-size: 15px !important;
    }
    .direction-info-text-block {
        max-height: 235px !important;
    }
    .img-rectangle {
        height: 480px !important;
    }
    .slider-achievements {
        height: 520px !important;
    }
    .home-benefits h3 {
        font-size: 3.5vw !important;
        max-width: 325px !important;
        line-height: 3.7vw !important;
    }
    .home-benefits li p {
        max-width: 340px !important;
    }
    .home-direction-li h3 {
        font-size: 4.5vw !important;
        line-height: 4.4vw !important;
    }
    .benefit-schoolinfo h3 {
        font-size: 4.5vw !important;
        line-height: 4.4vw !important;
    }
}

@media screen and (max-width: 1444px) and (min-width: 520px) {
    .rectangle-left, .rectangle-right {
        width: 22vw;
        height: 35vw;
    }
    .rectangle-left {
        left: -45px;
    }
    .rectangle-right {
        right: -45px;
    }
}

@media screen and (max-width: 1000px) and (min-width: 768px) {
    .benefit-right, .benefit-left {
        padding: 0;
    }
    .img-rectangle {
        height: 310px !important;
    }
}

@media screen and (max-width: 768px) {
    .home-direction li p {
        width: 80vw;
    }
    .home-direction ul li {
        flex: 0 1 35%;
    }
    .slider-achievements {
        height: 490px !important;
    }
    .slider-achievements .slide {
        height: unset;
    }
    .slider-achievements .slide-info {
        padding: 0;
        padding-top: 50px;
    }
    .slider-achievements .backArrow, .slider-achievements .nextArrow {
        height: 300px;
    }
    img.img-benefit {
        margin-bottom: 10px;
    }

}

@media screen and (max-width: 768px) and (min-width: 520px) {
    .home-direction-li h3 {
        font-size: 7vw !important;
        line-height: 5.4vw !important;
    }
    .home-benefits h3 {
        font-size: 3.2vw !important;
        max-width: 180px !important;
        line-height: 3.7vw !important;
        margin-bottom: 10px;
    }
    .benefit-schoolinfo h3 {
        font-size: 6.8vw !important;
        line-height: 6.4vw !important;
    }
    li p {
        max-width: 400px !important;
    }
    .img-rectangle {
        flex: unset;
        margin: auto;
        height: 50vw !important;
    }
    .rectangle-right, .rectangle-left {
        width: 28vw;
        height: 52vw;
    }
    .rectangle-left {
        left: -35px;
    }
    .rectangle-right {
        right: -35px;
    }
    .img-schoolinfo {
        width: 65vw;
    }
    .benefit-right {
        margin-left: 4vw;
        padding: 50px;
    }
    .benefit-left {
        margin-left: 4vw;
        padding: 50px;
    }
    .home-benefits ul li {
        flex: 1 1 40%;
    }
}

@media screen and (max-width: 520px) {
    .home-direction, .home-achievements {
        padding-bottom: 50px;
    }
    .home-direction-li h3, .benefit-schoolinfo h3 {
        font-size: 9.8vw !important;
        line-height: 10vw !important;
        margin: 0;
        margin-bottom: 10px;
    }
    .home-direction li p, .home-schoolinfo li p, .home-benefits li p {
        line-height: 16px;
        font-size: 10px;
    }
    .home-schoolinfo li p {
        max-width: 70vw;
    }
    .home-benefits li p {
        max-width: 70vw;
    }
    .benefit-left, .benefit-right {
        padding: 0;
        margin: auto;
    }
    .img-rectangle {
        position: relative;
        height: 66.5vw;
        width: 100%;
        flex: none;
        margin-bottom: 30px;
    }
    .rectangle-left, .rectangle-right {
        width: 38vw;
        height: 66.5vw;
        left: 0;
    }
    .img-schoolinfo {
        left: 25px;
        position: absolute;
        width: 76vw;
        height: 53.5vw;
    }
    .home-schoolinfo {
        padding-bottom: 13.5vw !important;
    }
    img.img-benefit {
        width: 12.5vw !important;
        height: 12.5vw !important;
    }
    .home-benefits ul li {
        flex: none;
    }
    .home-benefits h3 {
        font-size: 6.5vw !important;
        max-width: 180px !important;
        line-height: 7vw !important;
        margin-bottom: 5px;
    }
    .home-abonement ul li {
        width: 100%;
    }
    .direction-info-block {
        width: 80vw;
    }
    .direction-info-block .registration-close-btn {
        top: -50px;
        right: 0px;
    }
    .direction-info-text p {
        line-height: 13px;
        font-size: 8px;
    }
    .direction-form .video {
        height: 48vw !important;
    }
    .direction-info-text h3 {
        line-height: 30px;
        font-size: 32px;
    }
    .direction-info-block button.registration {
        width: 153px;
        height: 34px;
        font-size: 10px;
        padding: 0.65rem;
    }
    .direction-info-text {
        padding: 25px;
    }
}

@media screen and (max-width: 768px) and (max-height: 440px) {
    .video {
        height: unset !important;
    }
}

@media screen and (max-width: 768px) and (min-height: 440px) and (max-height: 1023px) {
    .video {
        height: 100vh !important;
    }
}


@media screen and (max-width: 768px) and (min-height: 1024px) {
    .video {
        height: 75vh !important;
    }
}
